﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BeyondBasicUnitTesting.Business
{
    public class PersonFacade : IPersonFacade
    {
        public bool IsPersonValid(IPerson checkThis)
        {
            if (checkThis == null)
            {
                return false;
            }
            else
            {
                if (checkThis.FirstName == null || checkThis.LastName == null || checkThis.EmailAddress == null || checkThis.Status == null)
                {
                    return false;
                }
                else
                {
                    return true;
                }
            }
        }

        public void SavePerson(IPerson saveThis)
        {
            try
            {
                SavePersonData(
                    saveThis.FirstName, 
                    saveThis.LastName, 
                    saveThis.EmailAddress, 
                    saveThis.Status);
                
                saveThis.Id = new Random().Next(1, Int32.MaxValue);
            }
            catch (Exception ex)
            {
                new Logger().WriteToLog(ex.ToString());
                throw;
            }
        }

        private void SavePersonData(string firstName, string lastName, string emailAddress, string status)
        {
            // Pretend this method does a lot of database work
            // Generate an UPDATE statement or an INSERT statement
            // Run the statement against a real database
            Console.WriteLine(String.Format("SavePerson(): {0} {1} {2} {3}", firstName, lastName, emailAddress, status));
        }
    }
}