﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using BeyondBasicUnitTesting.Business;

namespace BeyondBasicUnitTesting.WebUI
{
    public partial class Site1 : System.Web.UI.MasterPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void m_lbtnResetSession_Click(object sender, EventArgs e)
        {
            try
            {
                DemoSession.Reset();
                WebUiUtility.AddMessage(this.Page, "Session reset.");
            }
            catch (Exception ex)
            {
                WebUiUtility.AddMessage(this.Page, ex);
            }
        }

        protected void m_lbtnCreateTestData_Click(object sender, EventArgs e)
        {
            try
            {
                IPersonFacade facade = new PersonFacade(
                    DemoSession.GetCurrent().LoggerInstance, 
                    DemoSession.GetCurrent().PersonRepositoryInstance);

                facade.SavePerson(facade.Create("Grant", "Achatz", "grant@alinea.com", "ACTIVE"));
                facade.SavePerson(facade.Create("Thomas", "Keller", "t.keller@frenchlaundry.com", "ACTIVE"));
                facade.SavePerson(facade.Create("Tony", "Maws", "tony@craigieonmain.com", "ACTIVE"));
                facade.SavePerson(facade.Create("Michael", "Schlow", "shlow@viamattarestaurant.com", "ACTIVE"));

                WebUiUtility.AddMessage(this.Page, "Test data created.");
            }
            catch (Exception ex)
            {
                WebUiUtility.AddMessage(this.Page, ex);
            } 
        }
    }
}
